function v=polyinterp(x,y,u);
% v=POLYINTERP(x,y, u)
% calcola il valore che il polinomio di interpolazione in (x,y) assume nei
% punti nel vettore u.

n=length(x);
v=zeros(size(u));
for k=1:n
    L=ones(size(u));
    for j=[1:k-1 k+1:n]
        L=L.*(u-x(j))./(x(k)-x(j));
    end
    v=v+L.*y(k);
end


